{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "mmd-prj": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "changeDetection": "OnPush",
          "style": "scss"
        }
      },
      "root": "projects/mmd-prj",
      "sourceRoot": "projects/mmd-prj/src",
      "prefix": "mmd",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/mmd-prj",
            "index": "projects/mmd-prj/src/index.html",
            "main": "projects/mmd-prj/src/main.ts",
            "polyfills": "projects/mmd-prj/src/polyfills.ts",
            "tsConfig": "projects/mmd-prj/tsconfig.app.json",
            "aot": false,
            "assets": [
              "projects/mmd-prj/src/favicon.ico",
              "projects/mmd-prj/src/assets"
            ],
            "styles": [
              "projects/mmd-prj/src/styles-app-loading.scss",
              "projects/mmd-prj/src/styles.scss"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "projects/mmd-prj/src/environments/environment.ts",
                  "with": "projects/mmd-prj/src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "bundle",
                  "name": "polyfills",
                  "baseline": "150kb",
                  "maximumWarning": "50kb",
                  "maximumError": "100kb"
                },
                {
                  "type": "bundle",
                  "name": "styles",
                  "baseline": "280kb",
                  "maximumWarning": "50kb",
                  "maximumError": "100kb"
                },
                {
                  "type": "bundle",
                  "name": "main",
                  "baseline": "1024kb",
                  "maximumWarning": "100kb",
                  "maximumError": "200kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "mmd-prj:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "mmd-prj:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "mmd-prj:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/mmd-prj/src/test.ts",
            "polyfills": "projects/mmd-prj/src/polyfills.ts",
            "tsConfig": "projects/mmd-prj/tsconfig.spec.json",
            "karmaConfig": "projects/mmd-prj/karma.conf.js",
            "assets": [
              "projects/mmd-prj/src/favicon.ico",
              "projects/mmd-prj/src/assets"
            ],
            "styles": [
              "projects/mmd-prj/src/styles-app-loading.scss",
              "projects/mmd-prj/src/styles.scss"
            ],
            "scripts": []
          },
          "configurations": {
            "test": {
              "fileReplacements": [
                {
                  "replace": "projects/mmd-prj/src/environments/environment.ts",
                  "with": "projects/mmd-prj/src/environments/environment.test.ts"
                }
              ]
            }
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/mmd-prj/tsconfig.app.json",
              "projects/mmd-prj/tsconfig.spec.json",
              "projects/mmd-prj/e2e/tsconfig.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        },
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "projects/mmd-prj/e2e/protractor.conf.js",
            "devServerTarget": "mmd-prj:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "mmd-prj:serve:production"
            }
          }
        }
      }
    }
  },
  "defaultProject": "mmd-prj"
}
